import ChatInput from "./ChatInput";


const ChatMessageAction = () => {
  const handleSendMessage = (message: string, images?: File[]) => {
    console.log('发送消息:', message);
    if (images && images.length > 0) {
      console.log('发送图片:', images);
    }
    // TODO: 实现发送消息的逻辑
  };

  const handleSendVoice = (audioBlob: Blob) => {
    console.log('发送语音:', audioBlob);
    // TODO: 实现发送语音的逻辑
  };
  return (
    <div className="pb-6">
      <div className="max-w-[752px] mx-auto flex items-center gap-4 relative">
        <div className="absolute left-0 right-0 bottom-0 h-[120px] " style={{ background: "linear-gradient(180deg, rgba(33, 26, 43, 0) 0%, #211A2B 40.83%)" }} />
        <div className="w-full relative">
          <ChatInput
            onSendMessage={handleSendMessage}
            onSendVoice={handleSendVoice}
            placeholder="Mesaage"
          />
        </div>
      </div>
    </div>
  );
}
 
export default ChatMessageAction;